path: /build/build/openssh-net-misc-9.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-X -audit -kerberos -ldns -libedit -prefix -security-key -selinux -static pam ssl" emerge net-misc/openssh -pv -t && \
    USE="-X -audit -kerberos -ldns -libedit -prefix -security-key -selinux -static pam ssl" emerge -j ${JOBS} --nodeps net-misc/openssh
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/openssh && luet-portage --dir /pkgdir/openssh
    net-misc/openssh && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:3cc92ea95564614ac6f35532153dab0de42fbd5a9643dea96d775c700f9924f2
  package:
    name: openssh
    version: "9.9"
    category: net-misc
    use_flags:
    - -X
    - -audit
    - -kerberos
    - -ldns
    - -libedit
    - -prefix
    - -security-key
    - -selinux
    - -static
    - pam
    - ssl
    requires:
    - name: macaroni-funtoo-race2
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Port of OpenBSD's free SSH release
    uri:
    - https://www.openssh.com/
    license: BSD GPL-2
    buildtimestamp: 2025-03-13 06:19:05.940343647 +0000 UTC m=+165.568493823
    labels:
      BDEPEND: virtual/pkgconfig sys-devel/autoconf >=app-portage/elt-patches-20170815
        || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
        virtual/pkgconfig
      DEPEND: '!static? ( audit? ( sys-process/audit ) ldns? ( net-libs/ldns[ecdsa(+),ssl(+)]
        ) libedit? ( dev-libs/libedit:= ) security-key? ( >=dev-libs/libfido2-1.5.0:=
        ) selinux? ( >=sys-libs/libselinux-1.28 ) ssl? ( >=dev-libs/openssl-1.1.1l:0=
        ) >=sys-libs/zlib-1.2.3:= ) pam? ( sys-libs/pam ) kerberos? ( virtual/krb5
        ) sys-kernel/linux-headers static? ( audit? ( sys-process/audit[static-libs(+)]
        ) ldns? ( net-libs/ldns[ecdsa(+),ssl(+)] ) libedit? ( dev-libs/libedit:=[static-libs(+)]
        ) security-key? ( >=dev-libs/libfido2-1.5.0:=[static-libs(+)] ) selinux? (
        >=sys-libs/libselinux-1.28[static-libs(+)] ) ssl? ( >=dev-libs/openssl-1.1.1l:0=[static-libs(+)]
        ) >=sys-libs/zlib-1.2.3:=[static-libs(+)] ) sys-apps/shadow'
      IUSE: abi_mips_n32 audit bindist debug hpn kerberos kernel_linux ldns libedit
        livecd pam +pie +scp security-key sctp selinux +ssl static test X xmss
      RDEPEND: '!static? ( audit? ( sys-process/audit ) ldns? ( net-libs/ldns[ecdsa(+),ssl(+)]
        ) libedit? ( dev-libs/libedit:= ) security-key? ( >=dev-libs/libfido2-1.5.0:=
        ) selinux? ( >=sys-libs/libselinux-1.28 ) ssl? ( >=dev-libs/openssl-1.1.1l:0=
        ) >=sys-libs/zlib-1.2.3:= ) pam? ( sys-libs/pam ) kerberos? ( virtual/krb5
        ) pam? ( >=sys-auth/pambase-20081028 ) !prefix? ( sys-apps/shadow ) X? ( x11-apps/xauth
        )'
      emerge.packages: net-misc/openssh
      kit: security-kit
      original.package.name: net-misc/openssh
      original.package.slot: "0"
      original.package.version: 9.9_p2
    treedir: /build/packages
  package_dir: /pkgdir/openssh
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 874c9a6ef6554e91d677e0ce0d8fe888e55a26bd52159a7611c8fc55172ae4c8
compressiontype: zstd
files:
- etc/conf.d/sshd
- etc/init.d/sshd
- etc/pam.d/sshd
- etc/ssh/moduli
- etc/ssh/ssh_config
- etc/ssh/sshd_config
- usr/bin/scp
- usr/bin/sftp
- usr/bin/ssh
- usr/bin/ssh-add
- usr/bin/ssh-agent
- usr/bin/ssh-copy-id
- usr/bin/ssh-keygen
- usr/bin/ssh-keyscan
- usr/lib64/misc/sftp-server
- usr/lib64/misc/ssh-keysign
- usr/lib64/misc/ssh-pkcs11-helper
- usr/lib64/misc/ssh-sk-helper
- usr/lib64/misc/sshd-session
- usr/sbin/sshd
- usr/share/doc/openssh-9.9_p2/CREDITS.bz2
- usr/share/doc/openssh-9.9_p2/OVERVIEW.bz2
- usr/share/doc/openssh-9.9_p2/README.bz2
- usr/share/doc/openssh-9.9_p2/README.dns.bz2
- usr/share/doc/openssh-9.9_p2/README.md.bz2
- usr/share/doc/openssh-9.9_p2/README.platform.bz2
- usr/share/doc/openssh-9.9_p2/README.privsep.bz2
- usr/share/doc/openssh-9.9_p2/README.tun.bz2
- usr/share/doc/openssh-9.9_p2/TODO.bz2
- usr/share/doc/openssh-9.9_p2/sshd_config.bz2
- usr/share/man/man1/scp.1.bz2
- usr/share/man/man1/sftp.1.bz2
- usr/share/man/man1/ssh-add.1.bz2
- usr/share/man/man1/ssh-agent.1.bz2
- usr/share/man/man1/ssh-copy-id.1.bz2
- usr/share/man/man1/ssh-keygen.1.bz2
- usr/share/man/man1/ssh-keyscan.1.bz2
- usr/share/man/man1/ssh.1.bz2
- usr/share/man/man5/moduli.5.bz2
- usr/share/man/man5/ssh_config.5.bz2
- usr/share/man/man5/sshd_config.5.bz2
- usr/share/man/man8/sftp-server.8.bz2
- usr/share/man/man8/ssh-keysign.8.bz2
- usr/share/man/man8/ssh-pkcs11-helper.8.bz2
- usr/share/man/man8/ssh-sk-helper.8.bz2
- usr/share/man/man8/sshd.8.bz2
- var/db/pkg/net-misc/openssh-9.9_p2/BDEPEND
- var/db/pkg/net-misc/openssh-9.9_p2/BUILD_TIME
- var/db/pkg/net-misc/openssh-9.9_p2/CATEGORY
- var/db/pkg/net-misc/openssh-9.9_p2/CBUILD
- var/db/pkg/net-misc/openssh-9.9_p2/CFLAGS
- var/db/pkg/net-misc/openssh-9.9_p2/CHOST
- var/db/pkg/net-misc/openssh-9.9_p2/CONTENTS
- var/db/pkg/net-misc/openssh-9.9_p2/COUNTER
- var/db/pkg/net-misc/openssh-9.9_p2/CTARGET
- var/db/pkg/net-misc/openssh-9.9_p2/CXX
- var/db/pkg/net-misc/openssh-9.9_p2/CXXFLAGS
- var/db/pkg/net-misc/openssh-9.9_p2/DEFINED_PHASES
- var/db/pkg/net-misc/openssh-9.9_p2/DEPEND
- var/db/pkg/net-misc/openssh-9.9_p2/DESCRIPTION
- var/db/pkg/net-misc/openssh-9.9_p2/EAPI
- var/db/pkg/net-misc/openssh-9.9_p2/FEATURES
- var/db/pkg/net-misc/openssh-9.9_p2/HOMEPAGE
- var/db/pkg/net-misc/openssh-9.9_p2/INHERITED
- var/db/pkg/net-misc/openssh-9.9_p2/IUSE
- var/db/pkg/net-misc/openssh-9.9_p2/IUSE_EFFECTIVE
- var/db/pkg/net-misc/openssh-9.9_p2/KEYWORDS
- var/db/pkg/net-misc/openssh-9.9_p2/LDFLAGS
- var/db/pkg/net-misc/openssh-9.9_p2/LICENSE
- var/db/pkg/net-misc/openssh-9.9_p2/NEEDED
- var/db/pkg/net-misc/openssh-9.9_p2/NEEDED.ELF.2
- var/db/pkg/net-misc/openssh-9.9_p2/PF
- var/db/pkg/net-misc/openssh-9.9_p2/RDEPEND
- var/db/pkg/net-misc/openssh-9.9_p2/REQUIRES
- var/db/pkg/net-misc/openssh-9.9_p2/RESTRICT
- var/db/pkg/net-misc/openssh-9.9_p2/SIZE
- var/db/pkg/net-misc/openssh-9.9_p2/SLOT
- var/db/pkg/net-misc/openssh-9.9_p2/USE
- var/db/pkg/net-misc/openssh-9.9_p2/environment.bz2
- var/db/pkg/net-misc/openssh-9.9_p2/openssh-9.9_p2.ebuild
- var/db/pkg/net-misc/openssh-9.9_p2/repository
package_cacheimage: ""
runtime:
  name: openssh
  version: "9.9"
  category: net-misc
  use_flags:
  - -X
  - -audit
  - -kerberos
  - -ldns
  - -libedit
  - -prefix
  - -security-key
  - -selinux
  - -static
  - pam
  - ssl
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: shadow
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Port of OpenBSD's free SSH release
  uri:
  - https://www.openssh.com/
  license: BSD GPL-2
  labels:
    BDEPEND: virtual/pkgconfig sys-devel/autoconf >=app-portage/elt-patches-20170815
      || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      virtual/pkgconfig
    DEPEND: '!static? ( audit? ( sys-process/audit ) ldns? ( net-libs/ldns[ecdsa(+),ssl(+)]
      ) libedit? ( dev-libs/libedit:= ) security-key? ( >=dev-libs/libfido2-1.5.0:=
      ) selinux? ( >=sys-libs/libselinux-1.28 ) ssl? ( >=dev-libs/openssl-1.1.1l:0=
      ) >=sys-libs/zlib-1.2.3:= ) pam? ( sys-libs/pam ) kerberos? ( virtual/krb5 )
      sys-kernel/linux-headers static? ( audit? ( sys-process/audit[static-libs(+)]
      ) ldns? ( net-libs/ldns[ecdsa(+),ssl(+)] ) libedit? ( dev-libs/libedit:=[static-libs(+)]
      ) security-key? ( >=dev-libs/libfido2-1.5.0:=[static-libs(+)] ) selinux? ( >=sys-libs/libselinux-1.28[static-libs(+)]
      ) ssl? ( >=dev-libs/openssl-1.1.1l:0=[static-libs(+)] ) >=sys-libs/zlib-1.2.3:=[static-libs(+)]
      ) sys-apps/shadow'
    IUSE: abi_mips_n32 audit bindist debug hpn kerberos kernel_linux ldns libedit
      livecd pam +pie +scp security-key sctp selinux +ssl static test X xmss
    RDEPEND: '!static? ( audit? ( sys-process/audit ) ldns? ( net-libs/ldns[ecdsa(+),ssl(+)]
      ) libedit? ( dev-libs/libedit:= ) security-key? ( >=dev-libs/libfido2-1.5.0:=
      ) selinux? ( >=sys-libs/libselinux-1.28 ) ssl? ( >=dev-libs/openssl-1.1.1l:0=
      ) >=sys-libs/zlib-1.2.3:= ) pam? ( sys-libs/pam ) kerberos? ( virtual/krb5 )
      pam? ( >=sys-auth/pambase-20081028 ) !prefix? ( sys-apps/shadow ) X? ( x11-apps/xauth
      )'
    emerge.packages: net-misc/openssh
    kit: security-kit
    original.package.name: net-misc/openssh
    original.package.slot: "0"
    original.package.version: 9.9_p2
